%global cdtreq                  1:9.0.0
%global photran_git_tag         c7f1e6fd72cee0983d28fce4544df046986dff1d

Summary:        Fortran Development Tools (Photran) for Eclipse
Name:           eclipse-photran
Version:        9.1.2
Release:        %mkrel 1
License:        EPL
Group:          Development/Java
URL:            http://www.eclipse.org/ptp

# The following tarballs were downloaded from the git repositories
Source0:        http://git.eclipse.org/c/ptp/org.eclipse.photran.git/snapshot/org.eclipse.photran-%{photran_git_tag}.tar.xz

BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  eclipse-cdt >= %{cdtreq}
BuildRequires:  eclipse-launchbar
BuildRequires:  eclipse-license
BuildArch:      noarch
Requires:       eclipse-cdt >= %{cdtreq}

%description
An Eclipse-based Integrated Development Environment for Fortran.


%package intel
Summary:        Intel Fortran compiler support for Photran
Group:          Development/Java

%description intel
This feature packages the plugins required to support
the Intel Fortran compiler in Photran/FDT.


%package xlf
Summary:        IBM XLF Compiler Support
Group:          Development/Java

%description xlf
Error parser and managed build tool chain for the IBM XLF compiler.


%prep
%setup -q -n org.eclipse.photran-%{photran_git_tag}

# We need to rebuild this jar from the sources within it
mkdir cdtdb-4.0.3-eclipse
pushd cdtdb-4.0.3-eclipse
unzip -q ../org.eclipse.photran.core.vpg/lib/cdtdb-4.0.3-eclipse.jar
find -name \*.class -exec rm {} +
popd
# Delete any other jars in the project
find -name \*.jar -exec rm {} +
# This prevents the Photran Intel feature from building
sed -i -e 's/os="linux"//' org.eclipse.photran.intel-feature/feature.xml
#Fix line endings, causes problems with pdebuild link names
#find -name MANIFEST.MF -exec sed -i -e 's|\r||' {} +

# Don't use target platform
%pom_disable_module org.eclipse.photran.target
%pom_xpath_remove "pom:configuration/pom:target"

%mvn_package "::pom::" __noinstall
%mvn_package ":*.source" __noinstall
%mvn_package ":*.tests" __noinstall
%mvn_package ":org.eclipse.photran.*intel*" intel
%mvn_package ":org.eclipse.photran.*xlf*" xlf
%mvn_package ":*" core


%build
export JAVA_HOME=%{_jvmdir}/java

# Build the helper jar first
pushd cdtdb-4.0.3-eclipse
classpath=$(echo /usr/lib*/eclipse/plugins/org.eclipse.equinox.common_*.jar | sed -e 's/ /:/g')
find -name \*java -exec javac -classpath $classpath '{}' +
jar cf ../org.eclipse.photran.core.vpg/lib/cdtdb-4.0.3-eclipse.jar *
popd
#Interferes with feature build
rm -rf cdtdb-4.0.3-eclipse
# Build the projects
%mvn_build -j -f


%install
%mvn_install


%files -f .mfiles-core
%doc org.eclipse.photran-feature/epl-v10.html

%files intel -f .mfiles-intel
%doc org.eclipse.photran-feature/epl-v10.html

%files xlf -f .mfiles-xlf
%doc org.eclipse.photran-feature/epl-v10.html




%changelog
* Tue May 23 2017 neoclust <neoclust> 9.1.2-1.mga6
+ Revision: 1104309
- New version 9.1.2

* Thu Oct 06 2016 daviddavid <daviddavid> 9.1.1-1.mga6
+ Revision: 1059179
- Update to latest available release 9.1.1
- Update to droplets

* Wed May 04 2016 daviddavid <daviddavid> 9.1.0-5.mga6
+ Revision: 1009417
- Patched to build with Neon

* Wed Mar 02 2016 neoclust <neoclust> 9.1.0-4.mga6
+ Revision: 982372
- Second rebuild of the java stack

* Sat Feb 27 2016 neoclust <neoclust> 9.1.0-3.mga6
+ Revision: 980189
- First rebuild of the java stack
- sync package eclipse-photran with fedora

  + grenoya <grenoya>
    - imported package eclipse-photran


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0.0-4.b4.3.3mdv2011.0
+ Revision: 618001
- the mass rebuild of 2010.0 packages

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 4.0.0-4.b4.3.2mdv2010.0
+ Revision: 428505
- rebuild

* Sun Sep 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 4.0.0-4.b4.3.1mdv2009.0
+ Revision: 284636
- fix group
- BR tomcat5-jsp-2.0-api
- beta4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed May 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 4.0-0.b3.1.3mdv2009.0
+ Revision: 207106
- move to development/other

* Tue Jan 01 2008 David Walluck <walluck@mandriva.org> 4.0-0.b3.1.2mdv2008.1
+ Revision: 139996
- make sure CLASSPATH and OPT_JAT_LIST are not set

* Tue Jan 01 2008 David Walluck <walluck@mandriva.org> 4.0-0.b3.1.1mdv2008.1
+ Revision: 139962
- BuildRequires: zip
- fix BuildRoot
- import eclipse-photran


* Thu Dec 20 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3.1
- One line post/postun script form

* Mon Nov 12 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3
- Initial package
